## com.sun.jersey.spi.inject
Class Errors

    java.lang.Object
      com.sun.jersey.spi.inject.Errors

    public final class Errors

extends java.lang.Object

TODO do not use static thread local?

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary
`static interface` `Errors.Closure<T>`
`static class` `Errors.ErrorMessage`
`static class` `Errors.ErrorMessagesException`

Constructor Summary
`Errors()`

Method Summary
`static void` `abstractClass(java.lang.Class c)`
`static void` `error(java.lang.String message)`
`static void` `error(java.lang.String message, boolean isFatal)`
`static boolean` `getReportMissingDependentFieldOrMethod()`
`static void` `innerClass(java.lang.Class c)`
`static void` `interfaceClass(java.lang.Class c)`
`static void` `mark()`
`static void` `missingDependency(java.lang.reflect.Constructor ctor, int i)`
`static void` `missingDependency(java.lang.reflect.Field f)`
`static void` `missingDependency(java.lang.reflect.Method m, int i)`
`static void` `nonPublicClass(java.lang.Class c)`
`static void` `nonPublicConstructor(java.lang.Class c)`
`int` `numberOfErrors()`

`static

`<T> T`

`

`processWithErrors(Errors.Closure<T> c)`

`static void` `reset()`
`static void` `setReportMissingDependentFieldOrMethod(boolean fieldReporting)`
`static void` `unmark()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Errors

    public Errors()

Method Detail

### processWithErrors

    public static <T> T processWithErrors(Errors.Closure<T> c)

### mark

    public static void mark()

### unmark

    public static void unmark()

### reset

    public static void reset()

### error

    public static void error(java.lang.String message)

### error

    public static void error(java.lang.String message,
                             boolean isFatal)

### numberOfErrors

    public int numberOfErrors()

### innerClass

    public static void innerClass(java.lang.Class c)

### nonPublicClass

    public static void nonPublicClass(java.lang.Class c)

### nonPublicConstructor

    public static void nonPublicConstructor(java.lang.Class c)

### abstractClass

    public static void abstractClass(java.lang.Class c)

### interfaceClass

    public static void interfaceClass(java.lang.Class c)

### missingDependency

    public static void missingDependency(java.lang.reflect.Constructor ctor,
                                         int i)

### setReportMissingDependentFieldOrMethod

    public static void setReportMissingDependentFieldOrMethod(boolean fieldReporting)

### getReportMissingDependentFieldOrMethod

    public static boolean getReportMissingDependentFieldOrMethod()

### missingDependency

    public static void missingDependency(java.lang.reflect.Field f)

### missingDependency

    public static void missingDependency(java.lang.reflect.Method m,
                                         int i)

Copyright © 2017 Oracle Corporation. All Rights Reserved.